> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Log

> All changes to Bondio's product (dashboard & API) over time

This page captures all the changes in Bondio's product (dashboard & API) over time.

<Update label="December 22, 2025">
  1. We have released daily CDRs. Check out the [CDR reports API](https://bondio.stoplight.io/docs/bondio-api/cdr~2Dreports~2Dendpoint-get-cdr-reports) for more details.
  2. Throttling & recurring plans are now available on Lambda.
</Update>

<Update label="December 15, 2025">
  Omega label launched. See [Unified Label — OMEGA](/omega-launch).
</Update>

<Update label="November 13, 2025">
  We have launched a [new pricing API](https://bondio.stoplight.io/docs/bondio-api/1ipkoa55cpl21-list-data-prices-v2) that gives prices at a more granular level, as shown below. This will help remove duplicates that came up due to regional plans in the old pricing API.

  ```json theme={null}
  GET https://api.bondio.co/v2/data-prices

  {
    "items": [
      {
        "countryIso2": "FR",
        "label": "sigma",
        "indicator": "A",
        "pricePerGB": 2.1
      }
    ]
  }
  ```

  Additionally, we added an `indicator` in the coverage profile country sub-object to match pricing with coverage profiles.

  ```json theme={null}
  {
    "id": "cvpr_hdy2da3n",
    "name": "Australia region",
    "label": "lambda",
    "countries": [
      {
        "name": "Australia",
        "iso2": "AU",
        "iso3": "AUS",
        "indicator": "A",
        "operators": [
          {
            "name": "Telstra",
            "supportedRats": ["4g", "5g"]
          }
        ]
      }
    ]
  }
  ```
</Update>

<Update label="August 12, 2025">
  We have made plans fully editable and deletable. For more details, check out [Editable & Deletable Plans](/editable-deletable-plans).
</Update>

<Update label="July 16, 2025">
  We released webhook events for SMDP eSIM state changes. For more details, check the API docs.
</Update>

<Update label="July 9, 2025">
  On the Subscription V2 list page, the last data usage info can be seen in two fields — **Last data country** & **Last data usage**. Labels that don't support this functionality will show "Not supported".
</Update>

<Update label="April 22, 2025">
  We have added a new **Invoices** section on the web dashboard. You can find all your invoices on this page.
</Update>

<Update label="March 12, 2025">
  We have launched a new API to delete Subscription V2. Check out the details [here](https://bondio.stoplight.io/docs/bondio-api/y1brn7l981f3e-delete-a-subscription).

  ```
  DELETE https://api.bondio.co/v2/subscriptions/{xid}
  ```
</Update>

<Update label="February 10, 2025">
  We are launching webhook events for country changes of an eSIM for Subscription V2. Full details are [here](https://bondio.stoplight.io/docs/bondio-api/81fn8p63nwkfy-subscription-v2-esim-location-changed).

  ```json theme={null}
  {
    "type": "subscriptionV2.esim.locationChanged",
    "timestamp": 1738678426,
    "data": {
      "esim": "8937204017177713446",
      "countryIso2": "IN"
    }
  }
  ```
</Update>

<Update label="January 13, 2025">
  We have changed the naming convention of coverage profiles. The coverage profile name no longer contains the network count but an alphabet, e.g. `Spain, TAU, A`, `India, XI, B`. The alphabet in the coverage profile is an indicator of network count and its price relative to a similar coverage profile. For example, in these two coverage profiles — `UAE, TAU, A` & `UAE, TAU, B` — the one with 'A' has fewer networks and a lower price than 'B'.
</Update>

<Update label="December 31, 2024">
  With this launch, we have made **plan** creation **optional**. While creating a new subscription (both V1 & V2), just pass the plan parameters directly into the "Create Subscription" API call and it will create and return the subscription as expected.

  ```json theme={null}
  POST /v2/subscriptions?expand=plan

  {
    "plan": {
      "coverageId": "cvpr_hf3s3iey",
      "periodDays": 7,
      "dataMBs": 1024
    },
    "activationType": "FIRST_USAGE"
  }
  ```

  The same applies to `POST /v1/subscriptions?expand=plan`.
</Update>

<Update label="December 11, 2024">
  We have added **Un-archive** functionality for plans. Un-archiving a plan allows you to re-use your existing archived plans to create subscriptions. You can use it in two ways:

  1. **API** — call the un-archive API
  2. **Dashboard** — similar to archiving a plan on the dashboard, you can now un-archive a plan with the 'un-archive' option from the same menu
</Update>

<Update label="November 26, 2024">
  1. Released the [API endpoint](https://bondio.stoplight.io/docs/bondio-api/xedkabesan9ul-get-prepaid-balance-of-your-account) to check your account balance:

  ```json theme={null}
  GET /v1/prepaid-balance

  {
    "balance": 120.5,
    "currency": "usd"
  }
  ```

  2. Added a [radio-access technologies](https://bondio.stoplight.io/docs/bondio-api/81vp32d4i7h8m-operator) field to the operator object:

  ```json theme={null}
  {
    "name": "Vodafone",
    "supportedRats": ["3G", "4G"]
  }
  ```
</Update>

<Update label="November 20, 2024">
  1. We released a [new API endpoint](https://bondio.stoplight.io/docs/bondio-api/xafrj8fvmhy3w-get-data-prices-for-a-coverage-profile) to get data prices of a single coverage profile:

  ```json theme={null}
  GET /v1/coverage-profiles/:coverageId/data-prices

  [
    {
      "pricePerGB": 0.75,
      "country": "FR",
      "coverageProfile": "cvpr_eqtv243l"
    }
  ]
  ```

  2. Another [new API endpoint](https://bondio.stoplight.io/docs/bondio-api/ydol3g57a4t5q-list-prepaid-balance-transactions-for-your-account) to get the balance transactions of your account:

  ```json theme={null}
  GET /v1/prepaid-balance/transactions

  {
    "items": [
      {
        "id": "pbtxn_2x73h5cb",
        "amount": 2.5,
        "changeType": "debit",
        "category": "purchase",
        "currency": "usd",
        "createdAt": 1729081621,
        "description": "5 esims ordered manually in test environment"
      }
    ],
    "nextPage": "MTcyOTA4MDc4Mw=="
  }
  ```
</Update>

<Update label="November 18, 2024">
  1. We have added a new field `countries` in the `CoverageProfile` object that has clean and up-to-date operator info within a country without any duplicates. The `networks` field has been deprecated in favour of the newly added `countries` field.

  ```json theme={null}
  {
    "id": "string",
    "name": "string",
    "label": "string",
    "networks": [
      {
        "id": "mnt_ahekjfa2",
        "name": "Telstra",
        "plmn": "50501",
        "supportedRats": ["4g", "5g"],
        "country": {
          "name": "Australia",
          "iso2": "AU",
          "iso3": "AUS"
        }
      }
    ],
    "countries": [
      {
        "name": "Australia",
        "iso2": "AU",
        "iso3": "AUS",
        "operators": [
          {
            "name": "Telstra"
          }
        ]
      }
    ]
  }
  ```

  2. The List Plans API now supports filtering plans by country. By supplying the new query parameter `countryIso2=IN,FR`, you can fetch only the plans of the required countries. See the [API doc](https://bondio.stoplight.io/docs/bondio-api/b6y1oddrjube2-list-plans).

  ```
  /v1/plans?countryIso2=FR,IN
  ```
</Update>

<Update label="October 25, 2024">
  Released the [pricing API](https://bondio.stoplight.io/docs/bondio-api/8x5ce2hp3cair-list-data-prices) to fetch all the prices applicable to an account.
</Update>

<Update label="October 11, 2024">
  1. Added a new label and provider **Lambda**
  2. Launched the **Suspend attachment** API
</Update>

<Update label="September 22, 2024">
  V2 APIs with a new telco provider under the label `tau`. See the [Bondio V2 API launch page](/v2-api).
</Update>

<Update label="August 12, 2024">
  1. On the dashboard, we have combined the "eSIM order" & "eSIM profile" pages into a common **eSIM** page in the left navigation bar. Customers can now look at their inventory statistics and create orders from the same place.
  2. We also made the **eSIM ICCID** on the subscriptions page clickable. Clicking it opens a side panel displaying all the eSIM-related information you need.
  3. There has been no change to the eSIM APIs, so you can use those to get the details of any individual eSIM, used or unused.

  An eSIM can be in any of 3 states:

  * **Used** — the eSIM is associated with a subscription. The subscription can be in any state.
  * **Unused** — a blank eSIM ready to be associated with a subscription.
  * **Configuring** — an eSIM is being associated with a new subscription.
</Update>
